VTK: vtkXMLPMultiBlockDataWriter Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkXMLPMultiBlockDataWriter Class Reference

parallel writer for vtkHierarchicalBoxDataSet. More...

`#include <vtkXMLPMultiBlockDataWriter.h>`

Inheritance diagram for vtkXMLPMultiBlockDataWriter:
[legend]
Collaboration diagram for vtkXMLPMultiBlockDataWriter:
[legend]

## Public Types
typedef vtkXMLMultiBlockDataWriter | Superclass
Public Types inherited from vtkXMLMultiBlockDataWriter
typedef vtkXMLCompositeDataWriter | Superclass
Public Types inherited from vtkXMLCompositeDataWriter
typedef vtkXMLWriter | Superclass
Public Types inherited from vtkXMLWriter
typedef vtkXMLWriterBase | Superclass
Public Types inherited from vtkXMLWriterBase
enum | { BigEndian , LittleEndian }
| Enumerate big and little endian byte order settings. More...
enum | { Ascii , Binary , Appended }
| Enumerate the supported data modes. More...
enum | { Int32 = 32 , Int64 = 64 }
| Enumerate the supported vtkIdType bit lengths. More...
enum | { UInt32 = 32 , UInt64 = 64 }
| Enumerate the supported binary data header bit lengths. More...
enum | CompressorType { NONE , ZLIB , LZ4 , LZMA }
typedef vtkAlgorithm | Superclass
Public Types inherited from vtkAlgorithm
enum | DesiredOutputPrecision { SINGLE_PRECISION , DOUBLE_PRECISION , DEFAULT_PRECISION }
| Values used for setting the desired output precision for various algorithms. More...
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkXMLPMultiBlockDataWriter * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | SetWriteMetaFile (int flag) override
| Set whether this instance will write the meta-file. More...
vtkTypeBool | ProcessRequest (vtkInformation *, vtkInformationVector **, vtkInformationVector *) override
| Upstream/Downstream requests form the generalized interface through which executives invoke a algorithm's functionality. More...
virtual void | SetNumberOfPieces (int)
| Get/Set the number of pieces that are being written in parallel. More...
virtual int | GetNumberOfPieces ()
| Get/Set the number of pieces that are being written in parallel. More...
virtual void | SetStartPiece (int)
| Get/Set the range of pieces assigned to this writer. More...
virtual int | GetStartPiece ()
| Get/Set the range of pieces assigned to this writer. More...
virtual void | SetController (vtkMultiProcessController *)
| Controller used to communicate data type of blocks. More...
virtual vtkMultiProcessController * | GetController ()
| Controller used to communicate data type of blocks. More...
Public Member Functions inherited from vtkXMLMultiBlockDataWriter
vtkXMLMultiBlockDataWriter * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
const char * | GetDefaultFileExtension () override
| Get the default file extension for files written by this writer. More...
Public Member Functions inherited from vtkXMLCompositeDataWriter
vtkXMLCompositeDataWriter * | NewInstance () const
vtkTypeBool | ProcessRequest (vtkInformation *, vtkInformationVector **, vtkInformationVector *) override
| See the vtkAlgorithm for a description of what these do. More...
virtual int | GetGhostLevel ()
| Get/Set the number of pieces into which the inputs are split. More...
virtual void | SetGhostLevel (int)
| Get/Set the number of pieces into which the inputs are split. More...
virtual int | GetWriteMetaFile ()
| Get/Set whether this instance will write the meta-file. More...
Public Member Functions inherited from vtkXMLWriter
vtkXMLWriter * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
vtkTypeBool | ProcessRequest (vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector) override
| Upstream/Downstream requests form the generalized interface through which executives invoke a algorithm's functionality. More...
void | SetInputData (vtkDataObject *)
| Assign a data object as input. More...
void | SetInputData (int, vtkDataObject *)
| Assign a data object as input. More...
vtkDataObject * | GetInput (int port)
| Assign a data object as input. More...
vtkDataObject * | GetInput ()
| Assign a data object as input. More...
virtual int | GetNumberOfTimeSteps ()
| Set the number of time steps. More...
virtual void | SetNumberOfTimeSteps (int)
| Set the number of time steps. More...
void | Start ()
| API to interface an outside the VTK pipeline control. More...
void | Stop ()
| API to interface an outside the VTK pipeline control. More...
void | WriteNextTime (double time)
| API to interface an outside the VTK pipeline control. More...
Public Member Functions inherited from vtkXMLWriterBase
vtkXMLWriterBase * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
int | Write ()
| Invoke the writer. More...
virtual void | SetByteOrder (int)
| Get/Set the byte order of data written to the file. More...
virtual int | GetByteOrder ()
| Get/Set the byte order of data written to the file. More...
void | SetByteOrderToBigEndian ()
| Get/Set the byte order of data written to the file. More...
void | SetByteOrderToLittleEndian ()
| Get/Set the byte order of data written to the file. More...
virtual void | SetHeaderType (int)
| Get/Set the binary data header word type. More...
virtual int | GetHeaderType ()
| Get/Set the binary data header word type. More...
void | SetHeaderTypeToUInt32 ()
| Get/Set the binary data header word type. More...
void | SetHeaderTypeToUInt64 ()
| Get/Set the binary data header word type. More...
virtual void | SetIdType (int)
| Get/Set the size of the vtkIdType values stored in the file. More...
virtual int | GetIdType ()
| Get/Set the size of the vtkIdType values stored in the file. More...
void | SetIdTypeToInt32 ()
| Get/Set the size of the vtkIdType values stored in the file. More...
void | SetIdTypeToInt64 ()
| Get/Set the size of the vtkIdType values stored in the file. More...
| vtkSetFilePathMacro (FileName)
| Get/Set the name of the output file. More...
| vtkGetFilePathMacro (FileName)
| Get/Set the name of the output file. More...
virtual void | SetWriteToOutputString (bool)
| Enable writing to an OutputString instead of the default, a file. More...
virtual bool | GetWriteToOutputString ()
| Enable writing to an OutputString instead of the default, a file. More...
virtual void | WriteToOutputStringOn ()
| Enable writing to an OutputString instead of the default, a file. More...
virtual void | WriteToOutputStringOff ()
| Enable writing to an OutputString instead of the default, a file. More...
std::string | GetOutputString ()
| Enable writing to an OutputString instead of the default, a file. More...
virtual void | SetCompressor (vtkDataCompressor *)
| Get/Set the compressor used to compress binary and appended data before writing to the file. More...
virtual vtkDataCompressor * | GetCompressor ()
| Get/Set the compressor used to compress binary and appended data before writing to the file. More...
void | SetCompressorType (int compressorType)
| Convenience functions to set the compressor to certain known types. More...
void | SetCompressorTypeToNone ()
| Convenience functions to set the compressor to certain known types. More...
void | SetCompressorTypeToLZ4 ()
| Convenience functions to set the compressor to certain known types. More...
void | SetCompressorTypeToZLib ()
| Convenience functions to set the compressor to certain known types. More...
void | SetCompressorTypeToLZMA ()
| Convenience functions to set the compressor to certain known types. More...
void | SetCompressionLevel (int compressorLevel)
| Get/Set compression level. More...
virtual int | GetCompressionLevel ()
| Get/Set compression level. More...
virtual void | SetBlockSize (size_t blockSize)
| Get/Set the block size used in compression. More...
virtual size_t | GetBlockSize ()
| Get/Set the block size used in compression. More...
virtual void | SetDataMode (int)
| Get/Set the data mode used for the file's data. More...
virtual int | GetDataMode ()
| Get/Set the data mode used for the file's data. More...
void | SetDataModeToAscii ()
| Get/Set the data mode used for the file's data. More...
void | SetDataModeToBinary ()
| Get/Set the data mode used for the file's data. More...
void | SetDataModeToAppended ()
| Get/Set the data mode used for the file's data. More...
virtual void | SetEncodeAppendedData (bool)
| Get/Set whether the appended data section is base64 encoded. More...
virtual bool | GetEncodeAppendedData ()
| Get/Set whether the appended data section is base64 encoded. More...
virtual void | EncodeAppendedDataOn ()
| Get/Set whether the appended data section is base64 encoded. More...
virtual void | EncodeAppendedDataOff ()
| Get/Set whether the appended data section is base64 encoded. More...
Public Member Functions inherited from vtkAlgorithm
vtkAlgorithm * | NewInstance () const
vtkTypeBool | HasExecutive ()
| Check whether this algorithm has an assigned executive. More...
vtkExecutive * | GetExecutive ()
| Get this algorithm's executive. More...
virtual void | SetExecutive (vtkExecutive *executive)
| Set this algorithm's executive. More...
vtkTypeBool | ProcessRequest (vtkInformation *request, vtkCollection *inInfo, vtkInformationVector *outInfo)
| Version of ProcessRequest() that is wrapped. More...
virtual int | ComputePipelineMTime (vtkInformation *request, vtkInformationVector **inInfoVec, vtkInformationVector *outInfoVec, int requestFromOutputPort, vtkMTimeType *mtime)
| A special version of ProcessRequest meant specifically for the pipeline modified time request. More...
virtual int | ModifyRequest (vtkInformation *request, int when)
| This method gives the algorithm a chance to modify the contents of a request before or after (specified in the when argument) it is forwarded. More...
vtkInformation * | GetInputPortInformation (int port)
| Get the information object associated with an input port. More...
vtkInformation * | GetOutputPortInformation (int port)
| Get the information object associated with an output port. More...
int | GetNumberOfInputPorts ()
| Get the number of input ports used by the algorithm. More...
int | GetNumberOfOutputPorts ()
| Get the number of output ports provided by the algorithm. More...
void | SetAbortExecuteAndUpdateTime ()
| Set AbortExecute Flag and update LastAbortTime. More...
void | UpdateProgress (double amount)
| Update the progress of the process object. More...
bool | CheckAbort ()
| Checks to see if this filter should abort. More...
virtual void | SetInputArrayToProcess (int idx, int port, int connection, const char *fieldAssociation, const char *attributeTypeorName)
| String based versions of SetInputArrayToProcess(). More...
vtkInformation * | GetInputArrayInformation (int idx)
| Get the info object for the specified input array to this algorithm. More...
void | RemoveAllInputs ()
| Remove all the input data. More...
vtkDataObject * | GetOutputDataObject (int port)
| Get the data object that will contain the algorithm output for the given port. More...
vtkDataObject * | GetInputDataObject (int port, int connection)
| Get the data object that will contain the algorithm input for the given port and given connection. More...
virtual void | RemoveInputConnection (int port, vtkAlgorithmOutput *input)
| Remove a connection from the given input port index. More...
virtual void | RemoveInputConnection (int port, int idx)
| Remove a connection given by index idx. More...
virtual void | RemoveAllInputConnections (int port)
| Removes all input connections. More...
virtual void | SetInputDataObject (int port, vtkDataObject *data)
| Sets the data-object as an input on the given port index. More...
virtual void | SetInputDataObject (vtkDataObject *data)
virtual void | AddInputDataObject (int port, vtkDataObject *data)
| Add the data-object as an input to this given port. More...
virtual void | AddInputDataObject (vtkDataObject *data)
vtkAlgorithmOutput * | GetOutputPort (int index)
| Get a proxy object corresponding to the given output port of this algorithm. More...
vtkAlgorithmOutput * | GetOutputPort ()
int | GetNumberOfInputConnections (int port)
| Get the number of inputs currently connected to a port. More...
int | GetTotalNumberOfInputConnections ()
| Get the total number of inputs for this algorithm. More...
vtkAlgorithmOutput * | GetInputConnection (int port, int index)
| Get the algorithm output port connected to an input port. More...
vtkAlgorithm * | GetInputAlgorithm (int port, int index, int &algPort)
| Returns the algorithm and the output port index of that algorithm connected to a port-index pair. More...
vtkAlgorithm * | GetInputAlgorithm (int port, int index)
| Returns the algorithm connected to a port-index pair. More...
vtkAlgorithm * | GetInputAlgorithm ()
| Equivalent to GetInputAlgorithm(0, 0). More...
vtkExecutive * | GetInputExecutive (int port, int index)
| Returns the executive associated with a particular input connection. More...
vtkExecutive * | GetInputExecutive ()
| Equivalent to GetInputExecutive(0, 0) More...
vtkInformation * | GetInputInformation (int port, int index)
| Return the information object that is associated with a particular input connection. More...
vtkInformation * | GetInputInformation ()
| Equivalent to GetInputInformation(0, 0) More...
vtkInformation * | GetOutputInformation (int port)
| Return the information object that is associated with a particular output port. More...
virtual vtkTypeBool | Update (int port, vtkInformationVector *requests)
| This method enables the passing of data requests to the algorithm to be used during execution (in addition to bringing a particular port up-to-date). More...
virtual vtkTypeBool | Update (vtkInformation *requests)
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual int | UpdatePiece (int piece, int numPieces, int ghostLevels, const int extents[6]=nullptr)
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual int | UpdateExtent (const int extents[6])
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual int | UpdateTimeStep (double time, int piece=-1, int numPieces=1, int ghostLevels=0, const int extents[6]=nullptr)
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual void | UpdateInformation ()
| Bring the algorithm's information up-to-date. More...
virtual void | UpdateDataObject ()
| Create output object(s). More...
virtual void | PropagateUpdateExtent ()
| Propagate meta-data upstream. More...
virtual void | UpdateWholeExtent ()
| Bring this algorithm's outputs up-to-date. More...
void | ConvertTotalInputToPortConnection (int ind, int &port, int &conn)
| Convenience routine to convert from a linear ordering of input connections to a port/connection pair. More...
virtual vtkInformation * | GetInformation ()
| Set/Get the information object associated with this algorithm. More...
virtual void | SetInformation (vtkInformation *)
| Set/Get the information object associated with this algorithm. More...
bool | UsesGarbageCollector () const override
| Participate in garbage collection. More...
virtual void | SetAbortExecute (vtkTypeBool)
| Set/Get the AbortExecute flag for the process object. More...
virtual vtkTypeBool | GetAbortExecute ()
| Set/Get the AbortExecute flag for the process object. More...
virtual void | AbortExecuteOn ()
| Set/Get the AbortExecute flag for the process object. More...
virtual void | AbortExecuteOff ()
| Set/Get the AbortExecute flag for the process object. More...
virtual double | GetProgress ()
| Get the execution progress of a process object. More...
void | SetContainerAlgorithm (vtkAlgorithm *containerAlg)
| Set/get a Container algorithm for this algorithm. More...
vtkAlgorithm * | GetContainerAlgorithm ()
| Set/get a Container algorithm for this algorithm. More...
virtual void | SetAbortOutput (bool)
| Set/Get an internal variable used to communicate between the algorithm and executive. More...
virtual bool | GetAbortOutput ()
| Set/Get an internal variable used to communicate between the algorithm and executive. More...
void | SetProgressShiftScale (double shift, double scale)
| Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called. More...
virtual double | GetProgressShift ()
| Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called. More...
virtual double | GetProgressScale ()
| Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called. More...
void | SetProgressText (const char *ptext)
| Set the current text message associated with the progress state. More...
virtual char * | GetProgressText ()
| Set the current text message associated with the progress state. More...
virtual unsigned long | GetErrorCode ()
| The error code contains a possible error that occurred while reading or writing the file. More...
virtual void | SetInputArrayToProcess (int idx, int port, int connection, int fieldAssociation, const char *name)
| Set the input data arrays that this algorithm will process. More...
virtual void | SetInputArrayToProcess (int idx, int port, int connection, int fieldAssociation, int fieldAttributeType)
| Set the input data arrays that this algorithm will process. More...
virtual void | SetInputArrayToProcess (int idx, vtkInformation *info)
| Set the input data arrays that this algorithm will process. More...
virtual void | SetInputConnection (int port, vtkAlgorithmOutput *input)
| Set the connection for the given input port index. More...
virtual void | SetInputConnection (vtkAlgorithmOutput *input)
| Set the connection for the given input port index. More...
virtual void | AddInputConnection (int port, vtkAlgorithmOutput *input)
| Add a connection to the given input port index. More...
virtual void | AddInputConnection (vtkAlgorithmOutput *input)
| Add a connection to the given input port index. More...
virtual void | Update (int port)
| Bring this algorithm's outputs up-to-date. More...
virtual void | Update ()
| Bring this algorithm's outputs up-to-date. More...
virtual void | SetReleaseDataFlag (vtkTypeBool)
| Turn release data flag on or off for all output ports. More...
virtual vtkTypeBool | GetReleaseDataFlag ()
| Turn release data flag on or off for all output ports. More...
void | ReleaseDataFlagOn ()
| Turn release data flag on or off for all output ports. More...
void | ReleaseDataFlagOff ()
| Turn release data flag on or off for all output ports. More...
int | UpdateExtentIsEmpty (vtkInformation *pinfo, vtkDataObject *output)
| This detects when the UpdateExtent will generate no data This condition is satisfied when the UpdateExtent has zero volume (0,-1,...) or the UpdateNumberOfPieces is 0. More...
int | UpdateExtentIsEmpty (vtkInformation *pinfo, int extentType)
| This detects when the UpdateExtent will generate no data This condition is satisfied when the UpdateExtent has zero volume (0,-1,...) or the UpdateNumberOfPieces is 0. More...
int * | GetUpdateExtent ()
| These functions return the update extent for output ports that use 3D extents. More...
int * | GetUpdateExtent (int port)
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int &x0, int &x1, int &y0, int &y1, int &z0, int &z1)
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int port, int &x0, int &x1, int &y0, int &y1, int &z0, int &z1)
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int extent[6])
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int port, int extent[6])
| These functions return the update extent for output ports that use 3D extents. More...
int | GetUpdatePiece ()
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdatePiece (int port)
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateNumberOfPieces ()
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateNumberOfPieces (int port)
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateGhostLevel ()
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateGhostLevel (int port)
| These functions return the update extent for output ports that use piece extents. More...
void | SetProgressObserver (vtkProgressObserver *)
| If an ProgressObserver is set, the algorithm will report progress through it rather than directly. More...
virtual vtkProgressObserver * | GetProgressObserver ()
| If an ProgressObserver is set, the algorithm will report progress through it rather than directly. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...

## Static Public Member Functions
static vtkXMLPMultiBlockDataWriter * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkXMLPMultiBlockDataWriter * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkXMLMultiBlockDataWriter
static vtkXMLMultiBlockDataWriter * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkXMLMultiBlockDataWriter * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkXMLCompositeDataWriter
static vtkTypeBool | IsTypeOf (const char *type)
static vtkXMLCompositeDataWriter * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkXMLWriter
static vtkTypeBool | IsTypeOf (const char *type)
static vtkXMLWriter * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkXMLWriterBase
static vtkTypeBool | IsTypeOf (const char *type)
static vtkXMLWriterBase * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkAlgorithm
static vtkAlgorithm * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkAlgorithm * | SafeDownCast (vtkObjectBase *o)
static vtkInformationIntegerKey * | INPUT_IS_OPTIONAL ()
| Keys used to specify input port requirements. More...
static vtkInformationIntegerKey * | INPUT_IS_REPEATABLE ()
static vtkInformationInformationVectorKey * | INPUT_REQUIRED_FIELDS ()
static vtkInformationStringVectorKey * | INPUT_REQUIRED_DATA_TYPE ()
static vtkInformationInformationVectorKey * | INPUT_ARRAYS_TO_PROCESS ()
static vtkInformationIntegerKey * | INPUT_PORT ()
static vtkInformationIntegerKey * | INPUT_CONNECTION ()
static vtkInformationIntegerKey * | CAN_PRODUCE_SUB_EXTENT ()
| This key tells the executive that a particular output port is capable of producing an arbitrary subextent of the whole extent. More...
static vtkInformationIntegerKey * | CAN_HANDLE_PIECE_REQUEST ()
| Key that tells the pipeline that a particular algorithm can or cannot handle piece request. More...
static vtkInformationIntegerKey * | ABORTED ()
static void | SetDefaultExecutivePrototype (vtkExecutive *proto)
| If the DefaultExecutivePrototype is set, a copy of it is created in CreateDefaultExecutive() using NewInstance(). More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkXMLPMultiBlockDataWriter ()
| ~vtkXMLPMultiBlockDataWriter () override
void | FillDataTypes (vtkCompositeDataSet *) override
| Determine the data types for each of the leaf nodes. More...
int | WriteComposite (vtkCompositeDataSet *compositeData, vtkXMLDataElement *parent, int &currentFileIndex) override
| Internal method called recursively to create the xml tree for the children of compositeData as well as write the actual data set files. More...
int | ParallelWriteNonCompositeData (vtkDataObject *dObj, vtkXMLDataElement *parentXML, int currentFileIndex)
| Internal method to write a non vtkCompositeDataSet subclass as well as add in the file name to the metadata file. More...
virtual vtkStdString | CreatePieceFileName (int currentFileIndex, int procId, int dataSetType)
| Return the name of the file given the currentFileIndex (also the current globally numbered piece index), the procId the file exists on, and the dataSetType. More...
void | MakeDirectory (const char *name) override
| Make a directory. More...
void | RemoveWrittenFiles (const char *subDirectory) override
| Utility function to remove any already written files in case writer failed. More...
Protected Member Functions inherited from vtkXMLMultiBlockDataWriter
| vtkXMLMultiBlockDataWriter ()
| ~vtkXMLMultiBlockDataWriter () override
int | FillInputPortInformation (int port, vtkInformation *info) override
| Fill the input port information objects for this algorithm. More...
int | WriteComposite (vtkCompositeDataSet *compositeData, vtkXMLDataElement *parent, int &writerIdx) override
| Internal method called recursively to create the xml tree for the children of compositeData as well as write the actual data set files. More...
Protected Member Functions inherited from vtkXMLCompositeDataWriter
| vtkXMLCompositeDataWriter ()
| ~vtkXMLCompositeDataWriter () override
int | GetDataSetMajorVersion () override
| Methods to define the file's major and minor version numbers. More...
int | GetDataSetMinorVersion () override
vtkStdString | CreatePieceFileName (int Piece)
| Create a filename for the given index. More...
int | RequestData (vtkInformation *, vtkInformationVector **, vtkInformationVector *) override
int | RequestUpdateExtent (vtkInformation *, vtkInformationVector **, vtkInformationVector *)
int | WriteData () override
const char * | GetDataSetName () override
vtkExecutive * | CreateDefaultExecutive () override
| Create a default executive. More...
unsigned int | GetNumberOfDataTypes ()
| Returns the number of leaf nodes (also includes empty leaf nodes). More...
int * | GetDataTypesPointer ()
| Returns the array pointer to the array of leaf nodes. More...
void | CreateWriters (vtkCompositeDataSet *)
vtkXMLWriter * | GetWriter (int index)
void | SplitFileName ()
VTK_FILEPATH const char * | GetFilePrefix ()
VTK_FILEPATH const char * | GetFilePath ()
const char * | GetDefaultFileExtensionForDataSet (int dataset_type)
| Returns the default extension to use for the given dataset type. More...
int | WriteMetaFileIfRequested ()
| Write the collection file if it is requested. More...
void | RemoveADirectory (const char *name)
virtual void | ProgressCallback (vtkAlgorithm *w)
virtual int | WriteNonCompositeData (vtkDataObject *dObj, vtkXMLDataElement *element, int &writerIdx, const char *fileName)
| Internal method to write a non vtkCompositeDataSet subclass as well as add in the file name to the metadata file. More...
Protected Member Functions inherited from vtkXMLWriter
| vtkXMLWriter ()
| ~vtkXMLWriter () override
virtual int | RequestInformation (vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector)
virtual void | SetDataStream (vtkOutputStream *)
virtual vtkOutputStream * | GetDataStream ()
virtual int | WriteInternal ()
vtkDataSet * | GetInputAsDataSet ()
virtual int | StartFile ()
virtual void | WriteFileAttributes ()
virtual int | EndFile ()
void | DeleteAFile ()
void | DeleteAFile (const char *name)
virtual int | WritePrimaryElement (ostream &os, vtkIndent indent)
virtual void | WritePrimaryElementAttributes (ostream &os, vtkIndent indent)
void | StartAppendedData ()
void | EndAppendedData ()
vtkTypeInt64 | ReserveAttributeSpace (const char *attr, size_t length=20)
vtkTypeInt64 | GetAppendedDataOffset ()
void | WriteAppendedDataOffset (vtkTypeInt64 streamPos, vtkTypeInt64 &lastoffset, const char *attr=nullptr)
void | ForwardAppendedDataOffset (vtkTypeInt64 streamPos, vtkTypeInt64 offset, const char *attr=nullptr)
void | ForwardAppendedDataDouble (vtkTypeInt64 streamPos, double value, const char *attr)
int | WriteScalarAttribute (const char *name, int data)
int | WriteScalarAttribute (const char *name, float data)
int | WriteScalarAttribute (const char *name, double data)
int | WriteVectorAttribute (const char *name, int length, int *data)
int | WriteVectorAttribute (const char *name, int length, float *data)
int | WriteVectorAttribute (const char *name, int length, double *data)
int | WriteDataModeAttribute (const char *name)
int | WriteWordTypeAttribute (const char *name, int dataType)
int | WriteStringAttribute (const char *name, const char *value)
bool | WriteInformation (vtkInformation *info, vtkIndent indent)
void | WriteArrayHeader (vtkAbstractArray *a, vtkIndent indent, const char *alternateName, int writeNumTuples, int timestep)
virtual void | WriteArrayFooter (ostream &os, vtkIndent indent, vtkAbstractArray *a, int shortFormat)
virtual void | WriteArrayInline (vtkAbstractArray *a, vtkIndent indent, const char *alternateName=nullptr, int writeNumTuples=0)
virtual void | WriteInlineData (vtkAbstractArray *a, vtkIndent indent)
void | WriteArrayAppended (vtkAbstractArray *a, vtkIndent indent, OffsetsManager &offs, const char *alternateName=nullptr, int writeNumTuples=0, int timestep=0)
int | WriteAsciiData (vtkAbstractArray *a, vtkIndent indent)
int | WriteBinaryData (vtkAbstractArray *a)
int | WriteBinaryDataInternal (vtkAbstractArray *a)
void | WriteArrayAppendedData (vtkAbstractArray *a, vtkTypeInt64 pos, vtkTypeInt64 &lastoffset)
void | WriteFieldData (vtkIndent indent)
void | WriteFieldDataInline (vtkFieldData *fd, vtkIndent indent)
void | WritePointDataInline (vtkPointData *pd, vtkIndent indent)
void | WriteCellDataInline (vtkCellData *cd, vtkIndent indent)
void | WriteFieldDataAppended (vtkFieldData *fd, vtkIndent indent, OffsetsManagerGroup *fdManager)
void | WriteFieldDataAppendedData (vtkFieldData *fd, int timestep, OffsetsManagerGroup *fdManager)
void | WritePointDataAppended (vtkPointData *pd, vtkIndent indent, OffsetsManagerGroup *pdManager)
void | WritePointDataAppendedData (vtkPointData *pd, int timestep, OffsetsManagerGroup *pdManager)
void | WriteCellDataAppended (vtkCellData *cd, vtkIndent indent, OffsetsManagerGroup *cdManager)
void | WriteCellDataAppendedData (vtkCellData *cd, int timestep, OffsetsManagerGroup *cdManager)
void | WriteAttributeIndices (vtkDataSetAttributes *dsa, char **names)
void | WritePointsAppended (vtkPoints *points, vtkIndent indent, OffsetsManager *manager)
void | WritePointsAppendedData (vtkPoints *points, int timestep, OffsetsManager *pdManager)
void | WritePointsInline (vtkPoints *points, vtkIndent indent)
void | WriteCoordinatesInline (vtkDataArray *xc, vtkDataArray *yc, vtkDataArray *zc, vtkIndent indent)
void | WriteCoordinatesAppended (vtkDataArray *xc, vtkDataArray *yc, vtkDataArray *zc, vtkIndent indent, OffsetsManagerGroup *coordManager)
void | WriteCoordinatesAppendedData (vtkDataArray *xc, vtkDataArray *yc, vtkDataArray *zc, int timestep, OffsetsManagerGroup *coordManager)
void | WritePPointData (vtkPointData *pd, vtkIndent indent)
void | WritePCellData (vtkCellData *cd, vtkIndent indent)
void | WritePPoints (vtkPoints *points, vtkIndent indent)
void | WritePArray (vtkAbstractArray *a, vtkIndent indent, const char *alternateName=nullptr)
void | WritePCoordinates (vtkDataArray *xc, vtkDataArray *yc, vtkDataArray *zc, vtkIndent indent)
int | WriteBinaryDataBlock (unsigned char *in_data, size_t numWords, int wordType)
void | PerformByteSwap (void *data, size_t numWords, size_t wordSize)
int | CreateCompressionHeader (size_t size)
int | WriteCompressionBlock (unsigned char *data, size_t size)
int | WriteCompressionHeader ()
size_t | GetWordTypeSize (int dataType)
const char * | GetWordTypeName (int dataType)
size_t | GetOutputWordTypeSize (int dataType)
char ** | CreateStringArray (int numStrings)
void | DestroyStringArray (int numStrings, char **strings)
virtual void | GetProgressRange (float range[2])
virtual void | SetProgressRange (const float range[2], int curStep, int numSteps)
virtual void | SetProgressRange (const float range[2], int curStep, const float *fractions)
virtual void | SetProgressPartial (float fraction)
virtual void | UpdateProgressDiscrete (float progress)
void | UpdateFieldData (vtkFieldData *)
int | OpenStream ()
int | OpenFile ()
int | OpenString ()
void | CloseStream ()
void | CloseFile ()
void | CloseString ()
Protected Member Functions inherited from vtkXMLWriterBase
| vtkXMLWriterBase ()
| ~vtkXMLWriterBase () override
Protected Member Functions inherited from vtkAlgorithm
| vtkAlgorithm ()
| ~vtkAlgorithm () override
bool | CheckUpstreamAbort ()
| Checks to see if an upstream filter has been aborted. More...
virtual int | FillOutputPortInformation (int port, vtkInformation *info)
| Fill the output port information objects for this algorithm. More...
virtual void | SetNumberOfInputPorts (int n)
| Set the number of input ports used by the algorithm. More...
virtual void | SetNumberOfOutputPorts (int n)
| Set the number of output ports provided by the algorithm. More...
int | InputPortIndexInRange (int index, const char *action)
int | OutputPortIndexInRange (int index, const char *action)
int | GetInputArrayAssociation (int idx, vtkInformationVector **inputVector)
| Get the association of the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkInformation * | GetInputArrayFieldInformation (int idx, vtkInformationVector **inputVector)
| This method takes in an index (as specified in SetInputArrayToProcess) and a pipeline information vector. More...
void | ReportReferences (vtkGarbageCollector *) override
virtual void | SetNthInputConnection (int port, int index, vtkAlgorithmOutput *input)
| Replace the Nth connection on the given input port. More...
virtual void | SetNumberOfInputConnections (int port, int n)
| Set the number of input connections on the given input port. More...
void | SetInputDataInternal (int port, vtkDataObject *input)
| These methods are used by subclasses to implement methods to set data objects directly as input. More...
void | AddInputDataInternal (int port, vtkDataObject *input)
int | GetInputArrayAssociation (int idx, int connection, vtkInformationVector **inputVector)
| Filters that have multiple connections on one port can use this signature. More...
int | GetInputArrayAssociation (int idx, vtkDataObject *input)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkInformationVector **inputVector)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkInformationVector **inputVector, int &association)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkDataArray * | GetInputArrayToProcess (int idx, int connection, vtkInformationVector **inputVector)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, int connection, vtkInformationVector **inputVector, int &association)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkDataObject *input)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkDataObject *input, int &association)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkInformationVector **inputVector)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkInformationVector **inputVector, int &association)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, int connection, vtkInformationVector **inputVector)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, int connection, vtkInformationVector **inputVector, int &association)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkDataObject *input)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkDataObject *input, int &association)
| Filters that have multiple connections on one port can use this signature. More...
virtual void | SetErrorCode (unsigned long)
| The error code contains a possible error that occurred while reading or writing the file. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
vtkMultiProcessController * | Controller
int | StartPiece
| Piece information. More...
int | NumberOfPieces
| Piece information. More...
Protected Attributes inherited from vtkXMLCompositeDataWriter
vtkInformation * | InputInformation
vtkXMLCompositeDataWriterInternals * | Internal
int | GhostLevel
int | WriteMetaFile
| Whether to write the collection file on this node. More...
vtkCallbackCommand * | InternalProgressObserver
Protected Attributes inherited from vtkXMLWriter
ostream * | Stream
vtkTypeInt64 | AppendedDataPosition
OffsetsManagerGroup * | FieldDataOM
Int32IdType * | Int32IdTypeBuffer
unsigned char * | ByteSwapBuffer
size_t | CompressionBlockNumber
vtkXMLDataHeader * | CompressionHeader
vtkTypeInt64 | CompressionHeaderPosition
vtkOutputStream * | DataStream
float | ProgressRange [2]
ostream * | OutFile
std::ostringstream * | OutStringStream
int | CurrentTimeIndex
int | NumberOfTimeSteps
int | UserContinueExecuting
vtkTypeInt64 * | NumberOfTimeValues
Protected Attributes inherited from vtkXMLWriterBase
char * | FileName
bool | WriteToOutputString
std::string | OutputString
int | ByteOrder
int | HeaderType
int | IdType
int | DataMode
bool | EncodeAppendedData
vtkDataCompressor * | Compressor
size_t | BlockSize
int | CompressionLevel
bool | UsePreviousVersion
Protected Attributes inherited from vtkAlgorithm
vtkTimeStamp | LastAbortCheckTime
vtkInformation * | Information
double | Progress
char * | ProgressText
vtkProgressObserver * | ProgressObserver
unsigned long | ErrorCode
| The error code contains a possible error that occurred while reading or writing the file. More...
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Public Attributes inherited from vtkAlgorithm
std::atomic< vtkTypeBool > | AbortExecute
Static Protected Member Functions inherited from vtkXMLCompositeDataWriter
static void | ProgressCallbackFunction (vtkObject *, unsigned long, void *, void *)
Static Protected Member Functions inherited from vtkAlgorithm
static vtkInformationIntegerKey * | PORT_REQUIREMENTS_FILLED ()
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Static Protected Attributes inherited from vtkAlgorithm
static vtkTimeStamp | LastAbortTime
static vtkExecutive * | DefaultExecutivePrototype

## Detailed Description

parallel writer for vtkHierarchicalBoxDataSet.

vtkXMLPCompositeDataWriter writes (in parallel or serially) the VTK XML multi-group, multi-block hierarchical and hierarchical box files. XML multi-group data files are meta-files that point to a list of serial VTK XML files.

Tests:
  vtkXMLPMultiBlockDataWriter (Tests)

Definition at line 27 of file vtkXMLPMultiBlockDataWriter.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkXMLMultiBlockDataWriter vtkXMLPMultiBlockDataWriter::Superclass

Definition at line 31 of file vtkXMLPMultiBlockDataWriter.h.

## Constructor & Destructor Documentation

## ◆ vtkXMLPMultiBlockDataWriter()

vtkXMLPMultiBlockDataWriter::vtkXMLPMultiBlockDataWriter | ( |  | ) |
| protected

## ◆ ~vtkXMLPMultiBlockDataWriter()

vtkXMLPMultiBlockDataWriter::~vtkXMLPMultiBlockDataWriter | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkXMLPMultiBlockDataWriter* vtkXMLPMultiBlockDataWriter::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkXMLPMultiBlockDataWriter::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkXMLPMultiBlockDataWriter::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkXMLMultiBlockDataWriter.

## ◆ SafeDownCast()

static vtkXMLPMultiBlockDataWriter* vtkXMLPMultiBlockDataWriter::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkXMLPMultiBlockDataWriter::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkXMLMultiBlockDataWriter.

## ◆ NewInstance()

vtkXMLPMultiBlockDataWriter* vtkXMLPMultiBlockDataWriter::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkXMLPMultiBlockDataWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkAlgorithm.

## ◆ SetNumberOfPieces()

virtual void vtkXMLPMultiBlockDataWriter::SetNumberOfPieces | ( | int |  | ) |
| virtual

Get/Set the number of pieces that are being written in parallel.

## ◆ GetNumberOfPieces()

virtual int vtkXMLPMultiBlockDataWriter::GetNumberOfPieces | ( |  | ) |
| virtual

Get/Set the number of pieces that are being written in parallel.

## ◆ SetStartPiece()

virtual void vtkXMLPMultiBlockDataWriter::SetStartPiece | ( | int |  | ) |
| virtual

Get/Set the range of pieces assigned to this writer.

## ◆ GetStartPiece()

virtual int vtkXMLPMultiBlockDataWriter::GetStartPiece | ( |  | ) |
| virtual

Get/Set the range of pieces assigned to this writer.

## ◆ SetController()

virtual void vtkXMLPMultiBlockDataWriter::SetController | ( | vtkMultiProcessController * |  | ) |
| virtual

Controller used to communicate data type of blocks.

By default, the global controller is used. If you want another controller to be used, set it with this. If no controller is set, only the local blocks will be written to the meta-file.

## ◆ GetController()

virtual vtkMultiProcessController* vtkXMLPMultiBlockDataWriter::GetController | ( |  | ) |
| virtual

Controller used to communicate data type of blocks.

By default, the global controller is used. If you want another controller to be used, set it with this. If no controller is set, only the local blocks will be written to the meta-file.

## ◆ SetWriteMetaFile()

void vtkXMLPMultiBlockDataWriter::SetWriteMetaFile | ( | int | flag | ) |
| overridevirtual

Set whether this instance will write the meta-file.

WriteMetaFile is set to flag only on process 0 and all other processes have WriteMetaFile set to 0 by default.

Reimplemented from vtkXMLCompositeDataWriter.

## ◆ ProcessRequest()

vtkTypeBool vtkXMLPMultiBlockDataWriter::ProcessRequest | ( | vtkInformation * | request,
|  | vtkInformationVector ** | inInfo,
|  | vtkInformationVector * | outInfo
| ) |  |
| overridevirtual

Upstream/Downstream requests form the generalized interface through which executives invoke a algorithm's functionality.

Upstream requests correspond to information flow from the algorithm's outputs to its inputs. Downstream requests correspond to information flow from the algorithm's inputs to its outputs.

A downstream request is defined by the contents of the request information object. The input to the request is stored in the input information vector passed to ProcessRequest. The results of an downstream request are stored in the output information vector passed to ProcessRequest.

An upstream request is defined by the contents of the request information object. The input to the request is stored in the output information vector passed to ProcessRequest. The results of an upstream request are stored in the input information vector passed to ProcessRequest.

It returns the boolean status of the pipeline (false means failure).

Reimplemented from vtkAlgorithm.

## ◆ FillDataTypes()

void vtkXMLPMultiBlockDataWriter::FillDataTypes | ( | vtkCompositeDataSet * |  | ) |
| overrideprotectedvirtual

Determine the data types for each of the leaf nodes.

Currently each process requires this information in order to simplify creating the file names for both the metadata file as well as the actual dataset files. It takes into account that a piece of a dataset may be distributed in multiple pieces over multiple processes.

Reimplemented from vtkXMLCompositeDataWriter.

## ◆ WriteComposite()

int vtkXMLPMultiBlockDataWriter::WriteComposite | ( | vtkCompositeDataSet * | compositeData,
|  | vtkXMLDataElement * | parent,
|  | int & | currentFileIndex
| ) |  |
| overrideprotectedvirtual

Internal method called recursively to create the xml tree for the children of compositeData as well as write the actual data set files.

element will only have added nested information. writerIdx is the global piece index used to create unique filenames for each file written. This function returns 0 if no files were written from compositeData. Process 0 creates the metadata for all of the processes/files.

Implements vtkXMLCompositeDataWriter.

## ◆ ParallelWriteNonCompositeData()

int vtkXMLPMultiBlockDataWriter::ParallelWriteNonCompositeData | ( | vtkDataObject * | dObj,
|  | vtkXMLDataElement * | parentXML,
|  | int | currentFileIndex
| ) |  |
| protected

Internal method to write a non vtkCompositeDataSet subclass as well as add in the file name to the metadata file.

Element is the containing XML metadata element that may have data overwritten and added to (the index XML attribute should not be touched though). writerIdx is the piece index that gets incremented for the globally numbered piece. If this piece exists on multiple processes than it also takes care of that in the metadata description. This function returns 0 if no file was written.

## ◆ CreatePieceFileName()

virtual vtkStdString vtkXMLPMultiBlockDataWriter::CreatePieceFileName | ( | int | currentFileIndex,
|  | int | procId,
|  | int | dataSetType
| ) |  |
| protectedvirtual

Return the name of the file given the currentFileIndex (also the current globally numbered piece index), the procId the file exists on, and the dataSetType.

## ◆ MakeDirectory()

void vtkXMLPMultiBlockDataWriter::MakeDirectory | ( | const char * | name | ) |
| overrideprotectedvirtual

Make a directory.

Overridden to create the directory only on rank 0.

Reimplemented from vtkXMLCompositeDataWriter.

## ◆ RemoveWrittenFiles()

void vtkXMLPMultiBlockDataWriter::RemoveWrittenFiles | ( | const char * | subDirectory | ) |
| overrideprotectedvirtual

Utility function to remove any already written files in case writer failed.

Reimplemented from vtkXMLCompositeDataWriter.

## Member Data Documentation

## ◆ Controller

vtkMultiProcessController* vtkXMLPMultiBlockDataWriter::Controller
| protected

Definition at line 87 of file vtkXMLPMultiBlockDataWriter.h.

## ◆ StartPiece

int vtkXMLPMultiBlockDataWriter::StartPiece
| protected

Piece information.

Definition at line 138 of file vtkXMLPMultiBlockDataWriter.h.

## ◆ NumberOfPieces

int vtkXMLPMultiBlockDataWriter::NumberOfPieces
| protected

Piece information.

Definition at line 139 of file vtkXMLPMultiBlockDataWriter.h.

The documentation for this class was generated from the following file:

- IO/ParallelXML/vtkXMLPMultiBlockDataWriter.h